%define upstream_name Object-Tiny-RW
%define upstream_version 1.07

%{?perl_default_filter}

Name:		perl-%{upstream_name}
Version:	%perl_convert_version %{upstream_version}
Release:	%mkrel 5

Summary:	Class building as simple as it gets (with rw accessors)
License:	GPL+ or Artistic
Group:		Development/Perl
Url:		http://search.cpan.org/dist/%{upstream_name}
Source0:	http://www.cpan.org/modules/by-module/Object/%{upstream_name}-%{upstream_version}.tar.gz

BuildArch:	noarch

%description
This module is a fork of Object::Tiny. The only difference is that it
also accepts arguments to it's accessors to set the according value.

Please see Object::Tiny for all the original ideas.

To use Object::Tiny::RW, just call it with a list of accessors to be
created.

 use Object::Tiny::RW 'foo', 'bar';

%prep
%autosetup -n %{upstream_name}-%{upstream_version}

%build
%__perl Makefile.PL INSTALLDIRS=vendor

%make

%check
%make test

%install
%make_install

%files
%doc Changes LICENSE META.yml MYMETA.yml README
%{_mandir}/man3/*
%{perl_vendorlib}/*


%changelog
* Wed Feb 12 2020 umeabot <umeabot> 1.70.0-5.mga8
+ Revision: 1496180
- Mageia 8 Mass Rebuild

* Wed Sep 19 2018 umeabot <umeabot> 1.70.0-4.mga7
+ Revision: 1270223
- Mageia 7 Mass Rebuild

* Sun Jun 19 2016 pterjan <pterjan> 1.70.0-3.mga6
+ Revision: 1031491
- Rebuild for perl 5.22.2

* Fri Feb 19 2016 umeabot <umeabot> 1.70.0-2.mga6
+ Revision: 969725
- Mageia 6 Mass Rebuild

* Sun Sep 06 2015 sander85 <sander85> 1.70.0-1.mga6
+ Revision: 873712
- imported package perl-Object-Tiny-RW

